> ## Documentation Index
> Fetch the complete documentation index at: https://gcore.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Replace load balancer L7 rule properties



## OpenAPI

````yaml /api-reference/services_documented/cloud_api.yaml put /cloud/v1/l7policies/{project_id}/{region_id}/{l7policy_id}/rules/{l7rule_id}
openapi: 3.1.0
info:
  title: Gcore OpenAPI – Cloud API
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  version: '2026-05-11T15:10:30.328297+00:00'
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - name: Bare Metal
    x-displayName: Bare Metal
  - name: Container as a Service
    x-displayName: Container as a Service
  - name: Cost Reports
    x-displayName: Cost Reports
  - name: DDoS Protection
    x-displayName: DDoS Protection
  - name: Everywhere Inference
    x-displayName: Everywhere Inference
  - name: Everywhere Inference Apps
    x-displayName: Everywhere Inference Apps
  - name: File Shares
    x-displayName: File Shares
  - name: Floating IPs
    x-displayName: Floating IPs
  - name: Function as a Service
    x-displayName: Function as a Service
  - name: GPU Bare Metal
    x-displayName: GPU Bare Metal
  - name: GPU Virtual
    x-displayName: GPU Virtual
  - name: IP Ranges
    x-displayName: IP Ranges
  - name: Images
    x-displayName: Images
  - name: Instances
    x-displayName: Instances
  - name: Load Balancers
    x-displayName: Load Balancers
  - name: Logging
    x-displayName: Logging
  - name: Managed Kubernetes
    x-displayName: Managed Kubernetes
  - name: Managed PostgreSQL
    x-displayName: Managed PostgreSQL
  - name: Networks
    x-displayName: Networks
  - name: Placement Groups
    x-displayName: Placement Groups
  - name: Projects
    x-displayName: Projects
  - name: Quotas
    x-displayName: Quotas
  - name: Regions
    x-displayName: Regions
  - name: Registry
    x-displayName: Registry
  - name: Reservations
    x-displayName: Reservations
  - name: Reserved IPs
    x-displayName: Reserved IPs
  - name: Routers
    x-displayName: Routers
  - name: SSH Keys
    x-displayName: SSH Keys
  - name: Secrets
    x-displayName: Secrets
  - name: Security Groups
    x-displayName: Security Groups
  - name: Snapshot Schedules
    x-displayName: Snapshot Schedules
  - name: Snapshots
    x-displayName: Snapshots
  - name: Tasks
    x-displayName: Tasks
  - name: User Actions
    x-displayName: User Actions
  - name: User Role Assignments
    x-displayName: User Role Assignments
  - name: Volumes
    x-displayName: Volumes
paths:
  /cloud/v1/l7policies/{project_id}/{region_id}/{l7policy_id}/rules/{l7rule_id}:
    put:
      tags:
        - Load Balancers
      summary: Replace load balancer L7 rule properties
      operationId: L7RuleInstanceViewSet.put
      parameters:
        - in: path
          name: project_id
          required: true
          description: Project ID
          schema:
            description: Project ID
            example: 1
            examples:
              - 1
            title: Project Id
            type: integer
        - in: path
          name: region_id
          required: true
          description: Region ID
          schema:
            description: Region ID
            example: 1
            examples:
              - 1
            title: Region Id
            type: integer
        - in: path
          name: l7policy_id
          required: true
          description: L7 policy ID
          schema:
            description: L7 policy ID
            example: 023f2e34-7806-443b-bfae-16c324569a3d
            examples:
              - 023f2e34-7806-443b-bfae-16c324569a3d
            title: L7Policy Id
            type: string
        - in: path
          name: l7rule_id
          required: true
          description: L7 rule ID
          schema:
            description: L7 rule ID
            example: 023f2e34-7806-443b-bfae-16c324569a3d
            examples:
              - 023f2e34-7806-443b-bfae-16c324569a3d
            title: L7Rule Id
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateL7RuleSerializer'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TaskIDsSerializer'
      x-codeSamples:
        - lang: Python
          source: >-
            import os

            from gcore import Gcore


            client = Gcore(
                api_key=os.environ.get("GCORE_API_KEY"),  # This is the default and can be omitted
            )

            task_id_list =
            client.cloud.load_balancers.l7_policies.rules.replace(
                l7rule_id="023f2e34-7806-443b-bfae-16c324569a3d",
                project_id=1,
                region_id=1,
                l7policy_id="023f2e34-7806-443b-bfae-16c324569a3d",
            )

            print(task_id_list.tasks)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/G-Core/gcore-go\"\n\t\"github.com/G-Core/gcore-go/cloud\"\n\t\"github.com/G-Core/gcore-go/option\"\n)\n\nfunc main() {\n\tclient := gcore.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\ttaskIDList, err := client.Cloud.LoadBalancers.L7Policies.Rules.Replace(\n\t\tcontext.TODO(),\n\t\t\"023f2e34-7806-443b-bfae-16c324569a3d\",\n\t\tcloud.LoadBalancerL7PolicyRuleReplaceParams{\n\t\t\tProjectID:  gcore.Int(1),\n\t\t\tRegionID:   gcore.Int(1),\n\t\t\tL7policyID: \"023f2e34-7806-443b-bfae-16c324569a3d\",\n\t\t},\n\t)\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", taskIDList.Tasks)\n}\n"
components:
  schemas:
    UpdateL7RuleSerializer:
      properties:
        compare_type:
          $ref: '#/components/schemas/CompareTypeEnum'
          description: The comparison type for the L7 rule
          examples:
            - REGEX
        invert:
          description: When true the logic of the rule is inverted.
          example: true
          examples:
            - true
            - false
          title: Invert
          type: boolean
        key:
          description: >-
            The key to use for the comparison. Required for COOKIE and HEADER
            `type` only.
          example: the name of the cookie or header to evaluate.
          examples:
            - the name of the cookie or header to evaluate.
          maxLength: 255
          title: Key
          type: string
        tags:
          description: A list of simple strings assigned to the l7 rule
          example:
            - test_tag_1
            - test_tag_2
          examples:
            - - test_tag_1
              - test_tag_2
          items:
            type: string
          title: Tags
          type: array
        type:
          $ref: '#/components/schemas/L7RuleTypeEnum'
          description: The L7 rule type
          examples:
            - PATH
        value:
          description: The value to use for the comparison
          example: /images*
          examples:
            - /images*
          maxLength: 255
          minLength: 1
          title: Value
          type: string
      title: UpdateL7RuleSerializer
      type: object
    TaskIDsSerializer:
      properties:
        tasks:
          description: >-
            List of task IDs representing asynchronous operations. Use these IDs
            to monitor operation progress:

            - `GET /v1/tasks/{task_id}` - Check individual task status and
            details

            Poll task status until completion (`FINISHED`/`ERROR`) before
            proceeding with dependent operations.
          example:
            - d478ae29-dedc-4869-82f0-96104425f565
          examples:
            - - d478ae29-dedc-4869-82f0-96104425f565
          items:
            type: string
          title: Tasks
          type: array
      required:
        - tasks
      title: TaskIDsSerializer
      type: object
    CompareTypeEnum:
      enum:
        - CONTAINS
        - ENDS_WITH
        - EQUAL_TO
        - REGEX
        - STARTS_WITH
      title: CompareTypeEnum
      type: string
    L7RuleTypeEnum:
      enum:
        - COOKIE
        - FILE_TYPE
        - HEADER
        - HOST_NAME
        - PATH
        - SSL_CONN_HAS_CERT
        - SSL_DN_FIELD
        - SSL_VERIFY_RESULT
      title: L7RuleTypeEnum
      type: string
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234$abcdef`
      type: apiKey
      in: header
      name: Authorization

````